## org.exist.xmldb
Class DatabaseStatus

    java.lang.Object
      org.exist.xmldb.DatabaseStatus

public class DatabaseStatus
extends java.lang.Object

Constructor Summary
`DatabaseStatus(BrokerPool pool)`

Method Summary
`int` `getAvailableBrokers()` Number of brokers for this instance, which are currently active (i.e.
`java.lang.String` `getConfPath()` Path to the configuration file used to create this database instance.
`java.lang.String` `getDataDir()` Path to the data directory.
`java.lang.String` `getId()` The identifier for this instance.
`IndexStats` `getIndexStats(java.lang.String dbName)`
`int` `getMaxBrokers()` The maximum number of brokers allowed for this instance.
`int` `getRunningBrokers()` Number of brokers currently running.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseStatus

    public DatabaseStatus(BrokerPool pool)

Method Detail

### getAvailableBrokers

    public int getAvailableBrokers()

  Number of brokers for this instance, which are currently active (i.e. actually processing requests).

  Returns:
    int

### getConfPath

    public java.lang.String getConfPath()

  Path to the configuration file used to create this database instance.

  Returns:
    String

### getDataDir

    public java.lang.String getDataDir()

  Path to the data directory.

  Returns:
    String

### getId

    public java.lang.String getId()

  The identifier for this instance. Used to distinguish between multiple database instances.

  Returns:
    String

### getMaxBrokers

    public int getMaxBrokers()

  The maximum number of brokers allowed for this instance.

  Returns:
    int

### getRunningBrokers

    public int getRunningBrokers()

  Number of brokers currently running.

  Returns:
    int

### getIndexStats

    public IndexStats getIndexStats(java.lang.String dbName)

Copyright (C) Wolfgang Meier. All rights reserved.